export interface Options {
    url?: string;
    onMount?: boolean;
    method?: string;
    timeout?: number;
    baseUrl?: string;
}
export declare type FetchData = (fArg1?: string | object | undefined, fArg2?: string | object | undefined) => Promise<void>;
export declare type UseFetch<TData> = {
    data?: TData;
    loading: boolean;
    error?: any;
    get: FetchData;
    post: FetchData;
    patch: FetchData;
    put: FetchData;
    del: FetchData;
    delete: FetchData;
    query: (query?: string | undefined, variables?: object | undefined) => Promise<void>;
    mutate: (mutation?: string | undefined, variables?: object | undefined) => Promise<void>;
    abort: () => void;
    request: {
        get: FetchData;
        post: FetchData;
        patch: FetchData;
        put: FetchData;
        del: FetchData;
        delete: FetchData;
        query: (query?: string | undefined, variables?: object | undefined) => Promise<void>;
        mutate: (mutation?: string | undefined, variables?: object | undefined) => Promise<void>;
        abort: () => void;
    };
};
declare type useFetchArg1 = string | Options & RequestInit;
export declare function useFetch<TData = any>(arg1: useFetchArg1, arg2?: Options | RequestInit): UseFetch<TData>;
export default useFetch;
